[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: RPM naming question.



Aaron Konstam wrote:
> If you have an rpm: foo-0.6.5-7.fc7 installed and you execute:
> rpm -Uvh foo-0.6.5-7L.fc7.rpm
> 
> 
> Will the original foo rpm be replaced? If not what change in the version
> would cause the replacement. 
> 
> For political reasons 0.6.5-8.fc7 or >8 is not an option.
> 
It should be seen as a later version, so it should upgrade. (Using
the U option will install it even if the foo package is not
currently installed. The -F option only does an upgrade if an
earlier version is installed.) If RPM has problem with your naming,
you can also use the Epoch tag.

http://docs.fedoraproject.org/drafts/rpm-guide-en/ch-specfile-syntax.html#id3044481

Mikkel
-- 

  Do not meddle in the affairs of dragons,
for thou art crunchy and taste good with Ketchup!

Attachment: signature.asc
Description: OpenPGP digital signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]